This is the mail archive of the
gcc@gcc.gnu.org
mailing list for the GCC project.
Re: Trying to include Ada in powerpc-unknown-linux-gnu build
- From: Toon Moene <toon at moene dot indiv dot nluug dot nl>
- To: Andreas Jaeger <aj at suse dot de>
- Cc: Daniel Berlin <dberlin at dberlin dot org>, gcc at gcc dot gnu dot org
- Date: Fri, 07 Jan 2005 22:42:56 +0100
- Subject: Re: Trying to include Ada in powerpc-unknown-linux-gnu build
- Organization: Moene Computational Physics, Maartensdijk, The Netherlands
- References: <41DCE424.5050901@knmi.nl> <20454337.1105036325437.JavaMail.root@dtm1eusosrv72.dtm.ops.eu.uu.net> <4357607.1105052417973.JavaMail.root@dtm1eusosrv72.dtm.ops.eu.uu.net> <41DEF435.7090708@moene.indiv.nluug.nl> <21165835.1105132389304.JavaMail.root@dtm1eusosrv72.dtm.ops.eu.uu.net>
Andreas Jaeger wrote:
There're have been different suggestions on how to work around this -
you could add the hanging test to some file (don't remember the name)
or use the hack appended to kill the tests.
Andreas
============================================================
Index: gcc/testsuite/ada/acats/run_all.sh
--- gcc/testsuite/ada/acats/run_all.sh 26 Apr 2004 21:15:54 -0000 1.18
+++ gcc/testsuite/ada/acats/run_all.sh 7 Jan 2005 21:10:49 -0000
@@ -11,9 +11,16 @@
gccflags="-O2"
gnatflags="-gnatws"
+timeout=120
target_run () {
+ sh -c "(sleep $timeout; kill \$\$) &
+x=\$!
$*
+s=\$?
+kill \$x
+exit \$s
+"
}
# End of customization section.
Thanks, I'm going to give this a try tonight ...
--
Toon Moene - e-mail: toon@moene.indiv.nluug.nl - phone: +31 346 214290
Saturnushof 14, 3738 XG Maartensdijk, The Netherlands
Maintainer, GNU Fortran 77: http://gcc.gnu.org/onlinedocs/g77_news.html
A maintainer of GNU Fortran 95: http://gcc.gnu.org/fortran/